Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 4706

Summary: Big hole in crond
Product: [Retired] Red Hat Linux Reporter: tymm
Component: crontabsAssignee: Crutcher Dunnavant <crutcher>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: high    
Version: 6.0CC: apetr, don, s_ball
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2001-04-10 22:01:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description tymm 1999-08-25 18:16:12 UTC
cron_popen is very very trusting, and has multiple problems:

1) for fun, on a system not accepting mail, set
MAILTO=" -bd" and put in an entry like * * * * * ls
wait a minute, and ps -ax | grep sendmail... Now try using
your imagination.

2) there's an overflowable buffer where if you put more than
100 space-seperated items into MAILTO, you get a nice segv.
Looks quite exploitable.

Comment 1 Bill Nottingham 1999-08-25 19:52:59 UTC
Preliminary patch sent - look sane?

Comment 2 Bill Nottingham 1999-08-27 20:35:59 UTC
fixed in errata.